## ros-eloquent-ament-package 0.8.9

=== debian/changelog ===
ros-eloquent-ament-package (0.8.9-1bionic) bionic; urgency=high

  * add configure-time flag to skip parent_prefix_path (#115 <https://github.com/ament/ament_package/issues/115>)
  * [windows] fix _ament_python_executable fallback code path (#113 <https://github.com/ament/ament_package/issues/113>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 05 Jun 2020 07:00:00 -0000

ros-eloquent-ament-package (0.8.8-1bionic) bionic; urgency=high

  * fix removing trailing semicolon logic in bat (#111 <https://github.com/ament/ament_package/issues/111>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 10 Dec 2019 08:00:00 -0000

ros-eloquent-ament-package (0.8.7-1bionic) bionic; urgency=high

  * fix handling of empty env var (#110 <https://github.com/ament/ament_package/issues/110>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 05 Dec 2019 08:00:00 -0000

ros-eloquent-ament-package (0.8.6-1bionic) bionic; urgency=high

  * improve error message when split for dsv line raises (#108 <https://github.com/ament/ament_package/issues/108>)
  * skip empty lines in dsv files (#107 <https://github.com/ament/ament_package/issues/107>)
  * fix performance regression in environment setup (#106 <https://github.com/ament/ament_package/issues/106>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 04 Dec 2019 08:00:00 -0000

ros-eloquent-ament-package (0.8.5-1bionic) bionic; urgency=high

  * Fix sh command to remove trailing separator (#105 <https://github.com/ament/ament_package/issues/105>)
  * Always prepend with a trailing separator (#104 <https://github.com/ament/ament_package/issues/104>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-eloquent-ament-package (0.8.4-1bionic) bionic; urgency=high

  * add dsv type set-if-unset (#102 <https://github.com/ament/ament_package/issues/102>)
  * Add support for prepending multiple values to env variables from .dsv files (#101 <https://github.com/ament/ament_package/issues/101>)
  * Contributors: Dirk Thomas, Jacob Perron, Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-eloquent-ament-package (0.8.3-1bionic) bionic; urgency=high

  * add type 'set' for dsv files (#95 <https://github.com/ament/ament_package/issues/95>)
  * keep using default ignore list (#96 <https://github.com/ament/ament_package/issues/96>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Oct 2019 07:00:00 -0000

ros-eloquent-ament-package (0.8.2-1bionic) bionic; urgency=high

  * provide ament_prepend_unique_value function in prefix level sh script (#94 <https://github.com/ament/ament_package/issues/94>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 22:45:00 -0000

ros-eloquent-ament-package (0.8.1-1bionic) bionic; urgency=high

  * fix reading the package run dependencies (#93 <https://github.com/ament/ament_package/issues/93>)
  * if no package.dsv is available fallback to a local_setup file (#92 <https://github.com/ament/ament_package/issues/92>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 21:34:00 -0000

ros-eloquent-ament-package (0.8.0-1bionic) bionic; urgency=high

  * perform environment calculation in Python (#89 <https://github.com/ament/ament_package/issues/89>)
  * escape closing parenthesis in local_setup.bat file (#91 <https://github.com/ament/ament_package/issues/91>)
  * add quotes around ament_python_executable variable in local_setup.bat (#90 <https://github.com/ament/ament_package/issues/90>)
  * fix pytest warning about unknown markers (#88 <https://github.com/ament/ament_package/issues/88>)
  * install resource marker file for package (#87 <https://github.com/ament/ament_package/issues/87>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2019 17:32:00 -0000

ros-eloquent-ament-package (0.7.2-1bionic) bionic; urgency=high

  * install package manifest (#86 <https://github.com/ament/ament_package/issues/86>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 18 Sep 2019 07:00:00 -0000

ros-eloquent-ament-package (0.7.1-1bionic) bionic; urgency=high

  * add warning/fallback for AMENT_CURRENT_PREFIX if relocated (#85 <https://github.com/ament/ament_package/issues/85>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2019 07:00:00 -0000

ros-eloquent-ament-package (0.7.0-1bionic) bionic; urgency=high

  * add section about DCO to CONTRIBUTING.md
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 08 Apr 2019 07:00:00 -0000

ros-eloquent-ament-package (0.6.0-1bionic) bionic; urgency=high

  * Fix lint warnings from invalid escape sequences (#82 <https://github.com/ament/ament_package/issues/82>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Nov 2018 08:00:00 -0000

ros-eloquent-ament-package (0.5.2-1bionic) bionic; urgency=high

  * fix custom zsh logic for handling arrays (#80 <https://github.com/ament/ament_package/issues/80>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Jul 2018 07:00:00 -0000

ros-eloquent-ament-package (0.5.1-1bionic) bionic; urgency=high

  * Use flake8 directly (#77 <https://github.com/ament/ament_package/issues/77>)
  * Drop dependency on pyparsing. (#78 <https://github.com/ament/ament_package/issues/78>)
  * Contributors: Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 14 Jun 2018 07:00:00 -0000

ros-eloquent-ament-package (0.5.0-1bionic) bionic; urgency=high

  * remove all Python modules by the templates (#75 <https://github.com/ament/ament_package/issues/75>)
  * add pytest markers to linter tests

